## freeciv 2.2.1-1

=== data/toolbarbuttons/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# data/toolbarbuttons/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkglibdir = $(libdir)/freeciv
pkgincludedir = $(includedir)/freeciv
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i486-pc-linux-gnu
subdir = data/toolbarbuttons
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/dependencies/m4/mkstemp.m4 \
	$(top_srcdir)/dependencies/m4/stdlib_h.m4 \
	$(top_srcdir)/m4/auth.m4 $(top_srcdir)/m4/c99.m4 \
	$(top_srcdir)/m4/codeset.m4 $(top_srcdir)/m4/compiler.m4 \
	$(top_srcdir)/m4/debug.m4 $(top_srcdir)/m4/freetype2.m4 \
	$(top_srcdir)/m4/gettimeofday.m4 $(top_srcdir)/m4/ggz.m4 \
	$(top_srcdir)/m4/glib-gettext.m4 $(top_srcdir)/m4/gtk-2.0.m4 \
	$(top_srcdir)/m4/gtk2-client.m4 \
	$(top_srcdir)/m4/hildon-client.m4 $(top_srcdir)/m4/hildon.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/locale.m4 $(top_srcdir)/m4/ngettext.m4 \
	$(top_srcdir)/m4/no-client.m4 $(top_srcdir)/m4/pkg.m4 \
	$(top_srcdir)/m4/readline.m4 $(top_srcdir)/m4/sdl-client.m4 \
	$(top_srcdir)/m4/sdl.m4 $(top_srcdir)/m4/sound.m4 \
	$(top_srcdir)/m4/vsnprintf.m4 $(top_srcdir)/m4/win32-client.m4 \
	$(top_srcdir)/m4/x.m4 $(top_srcdir)/m4/xaw-client.m4 \
	$(top_srcdir)/version.in $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/bootstrap/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__installdirs = "$(DESTDIR)$(pkgdatadir)"
pkgdataDATA_INSTALL = $(INSTALL_DATA)
DATA = $(pkgdata_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
pkgdatadir = $(datadir)/freeciv/toolbarbuttons
ACLOCAL = ${SHELL} /home/smoku/Projects/freeciv/freeciv-2.2.1/bootstrap/missing --run aclocal-1.8
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/smoku/Projects/freeciv/freeciv-2.2.1/bootstrap/missing --run tar
AR = i486-linux-gnu-ar
AUDIO_SDL_FALSE = 
AUDIO_SDL_TRUE = #
AUTH_CFLAGS = 
AUTH_LIBS = 
AUTOCONF = ${SHELL} /home/smoku/Projects/freeciv/freeciv-2.2.1/bootstrap/missing --run autoconf
AUTOHEADER = ${SHELL} /home/smoku/Projects/freeciv/freeciv-2.2.1/bootstrap/missing --run autoheader
AUTOMAKE = ${SHELL} /home/smoku/Projects/freeciv/freeciv-2.2.1/bootstrap/missing --run automake-1.8
AUTO_DEPS = yes
AWK = gawk
CAIRO_CFLAGS = 
CAIRO_LIBS = 
CATALOGS =  ar.gmo cs.gmo ca.gmo da.gmo de.gmo el.gmo en_GB.gmo eo.gmo es.gmo et.gmo fa.gmo fi.gmo fr.gmo he.gmo hu.gmo it.gmo ja.gmo ko.gmo lt.gmo nl.gmo nb.gmo no.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sv.gmo tr.gmo uk.gmo zh_CN.gmo
CATOBJEXT = .gmo
CC = i486-linux-gnu-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -Wpointer-arith -Wcast-align -Wmissing-prototypes -Wmissing-declarations -Wall -g -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -O2
CLIENT_FALSE = #
CLIENT_GUI_BEOS_FALSE = 
CLIENT_GUI_BEOS_TRUE = #
CLIENT_GUI_FTWL_FALSE = 
CLIENT_GUI_FTWL_TRUE = #
CLIENT_GUI_GTK_2_0_FALSE = 
CLIENT_GUI_GTK_2_0_TRUE = #
CLIENT_GUI_HILDON_FALSE = #
CLIENT_GUI_HILDON_TRUE = 
CLIENT_GUI_SDL_FALSE = 
CLIENT_GUI_SDL_TRUE = #
CLIENT_GUI_STUB_FALSE = 
CLIENT_GUI_STUB_TRUE = #
CLIENT_GUI_WIN32_FALSE = 
CLIENT_GUI_WIN32_TRUE = #
CLIENT_GUI_XAW_FALSE = 
CLIENT_GUI_XAW_TRUE = #
CLIENT_LIBS =  -lm 
CLIENT_TRUE = 
COMMON_LIBS = -lm -lz
CONFIGURE_DEPENDENCIES =  $(top_srcdir)/version.in
CPP = i486-linux-gnu-gcc -E
CPPFLAGS =  -DLOCALEDIR="\"${datarootdir}/locale\"" -DDEFAULT_DATA_PATH="\".:data:~/.freeciv:${datarootdir}/freeciv\""
CXX = i486-linux-gnu-g++
CXXCPP = i486-linux-gnu-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wall -Wpointer-arith -Wcast-align -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
FT2_CFLAGS = 
FT2_CONFIG = 
FT2_LIBS = 
FTWL_CFLAGS = 
FTWL_FALSE = 
FTWL_OPENGL_FALSE = 
FTWL_OPENGL_TRUE = #
FTWL_SDL_FALSE = 
FTWL_SDL_TRUE = #
FTWL_TRUE = #
FTWL_X11_FALSE = 
FTWL_X11_TRUE = #
GGZDMOD_INCLUDES = 
GGZDMOD_LDFLAGS = 
GGZMOD_INCLUDES = 
GGZMOD_LDFLAGS = 
GGZ_CLIENT_FALSE = 
GGZ_CLIENT_TRUE = #
GGZ_CONFIG = 
GGZ_GTK_FALSE = 
GGZ_GTK_INCLUDES = 
GGZ_GTK_LDFLAGS = 
GGZ_GTK_TRUE = #
GGZ_SERVER_FALSE = 
GGZ_SERVER_TRUE = #
GMOFILES =  ar.gmo cs.gmo ca.gmo da.gmo de.gmo el.gmo en_GB.gmo eo.gmo es.gmo et.gmo fa.gmo fi.gmo fr.gmo he.gmo hu.gmo it.gmo ja.gmo ko.gmo lt.gmo nl.gmo nb.gmo no.gmo pl.gmo pt.gmo pt_BR.gmo ro.gmo ru.gmo sv.gmo tr.gmo uk.gmo zh_CN.gmo
GMSGFMT = /scratchbox/tools/bin/msgfmt
GNULIB_CALLOC_POSIX = 0
GNULIB_GETSUBOPT = 0
GNULIB_MALLOC_POSIX = 0
GNULIB_MKDTEMP = 0
GNULIB_MKSTEMP = 0
GNULIB_PUTENV = 0
GNULIB_REALLOC_POSIX = 0
GNULIB_RPMATCH = 0
GNULIB_SETENV = 0
GNULIB_STRTOD = 0
GNULIB_UNSETENV = 0
GREP = /scratchbox/tools/bin/grep
GTK_CFLAGS = 
GTK_LIBS = 
GUI_beos_CFLAGS = 
GUI_beos_CXXFLAGS = 
GUI_beos_LDFLAGS = 
GUI_beos_LIBS = 
GUI_ftwl_CFLAGS = 
GUI_ftwl_CXXFLAGS = 
GUI_ftwl_LDFLAGS = 
GUI_ftwl_LIBS = 
GUI_gtk2_CFLAGS = 
GUI_gtk2_CXXFLAGS = 
GUI_gtk2_LDFLAGS = 
GUI_gtk2_LIBS = 
GUI_hildon_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
GUI_hildon_CXXFLAGS = 
GUI_hildon_LDFLAGS = 
GUI_hildon_LIBS = -pthread -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
GUI_sdl_CFLAGS = 
GUI_sdl_CXXFLAGS = 
GUI_sdl_LDFLAGS = 
GUI_sdl_LIBS = 
GUI_stub_CFLAGS = 
GUI_stub_CXXFLAGS = 
GUI_stub_LDFLAGS = 
GUI_stub_LIBS = 
GUI_win32_CFLAGS = 
GUI_win32_CXXFLAGS = 
GUI_win32_LDFLAGS = 
GUI_win32_LIBS = 
GUI_xaw_CFLAGS = 
GUI_xaw_CXXFLAGS = 
GUI_xaw_LDFLAGS = 
GUI_xaw_LIBS = 
GZIP = /scratchbox/tools/bin/gzip
HAVE_CALLOC_POSIX = 1
HAVE_GETSUBOPT = 1
HAVE_MALLOC_POSIX = 1
HAVE_MKDTEMP = 1
HAVE_REALLOC_POSIX = 1
HAVE_RPMATCH = 1
HAVE_SETENV = 1
HAVE_STRTOD = 1
HAVE_UNSETENV = 1
HILDON_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/hildon-fm-2 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
HILDON_LIBS = -pthread -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
HOST_PATH_SEPARATOR = :
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
LDFLAGS = -pthread -losso -lhildon-1 -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
LIBGGZ_INCLUDES = 
LIBGGZ_LDFLAGS = 
LIBICONV = 
LIBOBJS = 
LIBS =  
LIBTOOL = $(SHELL) $(top_builddir)/libtool --preserve-dup-deps
LIB_GGZ = 
LIB_GGZDMOD = 
LIB_GGZMOD = 
LIB_GGZ_GTK = 
LN_S = ln -s
LTLIBICONV = 
LTLIBOBJS = 
LUA_AS_DEPENDENCY = $(top_builddir)/dependencies/lua-5.1/src/liblua.a
LUA_CFLAGS = -I$(top_srcdir)/dependencies/lua-5.1/src
LUA_LIBS = $(top_builddir)/dependencies/lua-5.1/src/liblua.a
MAJOR_VERSION = 2
MAKEINFO = ${SHELL} /home/smoku/Projects/freeciv/freeciv-2.2.1/bootstrap/missing --run makeinfo
MAKE_CLIENT_INCLUDE_FALSE = 
MAKE_CLIENT_INCLUDE_TRUE = #
MAKE_DATA_FALSE = #
MAKE_DATA_TRUE = 
MINGW32_FALSE = 
MINGW32_TRUE = #
MINOR_VERSION = 2
MKINSTALLDIRS = bootstrap/mkinstalldirs
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT_OPTS = -c
NETWORK_CAPSTRING_MANDATORY = +2.2b
NETWORK_CAPSTRING_OPTIONAL = trade_illness
NMEDIT = 
OBJEXT = o
PACKAGE = freeciv
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PNG_CFLAGS = 
PNG_LIBS = 
POFILES =  ar.po cs.po ca.po da.po de.po el.po en_GB.po eo.po es.po et.po fa.po fi.po fr.po he.po hu.po it.po ja.po ko.po lt.po nl.po nb.po no.po pl.po pt.po pt_BR.po ro.po ru.po sv.po tr.po uk.po zh_CN.po
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
RANLIB = i486-linux-gnu-ranlib
REPLACE_MKSTEMP = 0
REPLACE_PUTENV = 0
REPLACE_STRTOD = 0
SDL_CFLAGS = 
SDL_CONFIG = 
SDL_LIBS = 
SED = /scratchbox/tools/bin/sed
SERVER_FALSE = #
SERVER_LIBS =  -lm 
SERVER_TRUE = 
SET_MAKE = 
SHELL = /bin/sh
SOUND_CFLAGS = 
SOUND_LIBS = 
STRIP = i486-linux-gnu-strip
SVNREV_FALSE = 
SVNREV_TRUE = #
TOLUA = $(top_builddir)/dependencies/tolua-5.1/src/bin/tolua
TOLUA_AS_DEPENDENCY = $(top_builddir)/dependencies/tolua-5.1/src/lib/libtolua.a
TOLUA_CFLAGS = -I$(top_srcdir)/dependencies/tolua-5.1/include
TOLUA_LIBS = $(top_builddir)/dependencies/tolua-5.1/src/lib/libtolua.a
UNAME = uname
USE_NLS = yes
UTILITY_LIBS =  -lz -lbz2
VERSION = 2.2.1
VERSION_LABEL = 
VERSION_WITHOUT_LABEL = 2.2.1
VOID_UNSETENV = 0
WINDRES = 
XGETTEXT = /scratchbox/tools/bin/xgettext
XMKMF = 
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = i486-linux-gnu
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
ggz_config = 
ggz_gtk_includes = 
ggz_gtk_libraries = 
ggzdatadir =

=== debian/changelog ===
freeciv (2.2.1-1) fremantle; urgency=low

  * Updated to new release
  * Hildonized 2.2.x gui-gtk2 to gui-hildon
  * Packaged the .deb

 -- Tomasz Sterna <tomek@xiaoka.com>  Fri, 16 Jul 2010 22:16:04 +0200

freeciv (2.0.8-3) unstable; urgency=low

  * Update for OS2008

 -- Sergey Udaltsov <sergey.udaltsov@gmail.com>  Sat, 05 Jun 2008 23:19:18 +0000

freeciv (2.0.8-1) unstable; urgency=low

  * Initial Release.

 -- Markku Vire <markku.vire@iki.fi>  Sat, 13 May 2006 20:27:15 +0300

=== debian/control ===
Source: freeciv
Section: user/games
Priority: extra
Maintainer: Tomasz Sterna <tomek@xiaoka.com>
XSBC-Original-Maintainer: Sergey Udaltsov <sergey.udaltsov@gmail.com>
Build-Depends: debhelper (>= 4.0.0),
               gettext,
               libgtk2.0-dev (>= 2.2.1),
               libhildon1-dev,
               libhildonfm2-dev,
               libpng12-dev,
               libreadline4-dev,
#              libggzmod-dev (>= 0.0.14),
#              libggzdmod-dev (>= 0.0.14),
#              libggz-gtk-dev (>= 0.0.14),
               zlib1g-dev,
               libbz2-dev
Standards-Version: 3.6.0
Homepage: http://freeciv.wikia.com/
Vcs-Git: git://github.com/smokku/freeciv.git
Vcs-Browser: http://github.com/smokku/freeciv

Package: freeciv
Architecture: any
Depends: ${shlibs:Depends}
Description: Civilization strategy game
 Freeciv is a free clone of the turn based strategy 
 game Civilization. In this  game, each player becomes 
 leader of a civilisation,  fighting to obtain the 
 ultimate goal: the  extinction of all other civilisations.
XSBC-Bugtracker: http://github.com/smokku/freeciv/issues
XB-Maemo-Display-Name: Freeciv
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oHEBUZJVehAqIAABVMSURBVGjevZp5tF1HdeZ/u6rOcKf3np7mWbYk
 D5ItwGBDM9kYGoww0GRBQwgYaLqz0gPQwKLjhiR0r2DC0ASMG7IMSTCYMWBj
 BmOwMO2A57lteZCQLFuyrOlJb7jTGapq9x/3yTGOoaF7JbVWrbvuveeeU9+u
 XXt/+9tX+B3Hp7YYlr044w/+5xCAj67CTj4/b0vbtOq5sCZU8bQorArKmK8i
 oYxDX+lBDewyTfNg7wC9qQdj72+hOH7PDSnsqvh/GvK7XHzJCw3vuiECcPEz
 mFjwwtZ50rAvwXKmip4uDicpYCNIQImE6Al1JAwMdc8QC/OYH8pdgym9cf/d
 1bbPH+VuAN0/iaw89k8H4JvvynnTJSOjfeN9rYvcZPo2nFkkhmx0lwioIhGV
 KEoE9QQNqAZQq6JWjFoIllgL1YDuoYf8vbtvHV546WFueLrnvv2tb+Wyyy8H
 QFURkd8NwHcvbPK6jw34wYcaSeHNa924+xLNpI0KAogoRMXXkaKMsd8LoZjz
 sezHGEJUTBTXiKY5Zky7bV2WOEkSixiLqFFjjPSmAo8/VH7nsUP+jz9zc/3w
 U438oQ9+8I29Xv8XF3/24v1PXZ/7dQv/9OnCqW9vcd77e1zxvnwjC9JPp6l7
 FSIIRp0VER/Z/2gdtv+ymt6xpz6wb7/fX9YUOIkmsdElxkuQIJXxvu+L3MXG
 SevDxg3r3EkbTkgWLl6dilhhfImjszB5/dKD9TmfXFl94gPfGXwWKAE++hcf
 /fDGU0/58NVXfW878Grgkd9qB26/ZoIzXznDD/6seb5bnn29jqZjRBAxpE7Y
 9+DAf+XqwaO3Phy2r1so/WecmK1dtjjZ2MhtI02NSVIrzhoQNEKIUb33euTw
 VH39thtnbxgWumHrJveWc1/aXj+5OiV6UQSpS417H+p+/+fT5118ypYt5572
 rGf86U+v+Un15csuu7koyz8HfgborwXwl5uEl1yygGe99Bg//lTrLTqefMUH
 gxWDNSLd6eh/+MO5A5f/ff3Q5tV29kWbsueOdZLVNgFjhSQ1mjgRlxjqqDhr
 SROLsUZjUKmD4utAWYYfXn3H4GszOwanv2Nr84It/6K9Mm0aQUQ11jI1czKr
 X/ZxLvvry4qvXv6V28uq+irwVWDwG3fgZ3/V4dx/32XbZ9pv8W37NxGTWmNI
 jeH224a9v72id19dm+6LN2cbF03YE1xmcCmIQJoZstRgEkicw1hDUEhSBxFC
 hBhVyyqKRiBG3x/Gq7bdOHfNaZPxzJe/rPOHS9fmJkQUSjlwZDmX/tDu/fmt
 //sTwN/wpNB7fNgnv/nxR1v8y/f12Pbx1tawIP12BGedqDUiP/lx7+jHLh9c
 /+zVyeQZ6/PntztmMsmERm611XbSGUvpjGW0xzI6rQat8ZxmK8MlkDYyskZC
 s5mRZU6y3OESo9YZay2b1q/KXjTjzY+u/MH0105dwasWLM8sxtHp9GnEw8Vt
 26tLqsDDT+fqvwLgq9fV/OQjjfUsybaVXrIkRRKH3HT94OhFlxc3vnZzsmXZ
 omRTo2Uky0WSFNKGkaxhyRuWZiuh0UrJGxlZluBSC0TSJKXRyHBJgksc1his
 M2IExAhWpDHelpctO3mzrnnRhzfHg7doo1mLOHTdGtdelEf783v9tUD9awH8
 5GMt/ugNmfOt9EtFbba4BBoNkZ/9dDj9379U3LD11MZpk+Ppic2WaLNhpNNJ
 aHcSOp2Udjuh2UxxiSHNHGmekmYJYgxJmmKcpawCaiwxKmmW4KwhoqNz44xG
 RdJw7FRcHr71o0MPn7JiZqIznogaZN06+0z6Ve+eh+ONTwVgAP7qHMMrLuzT
 78qra7WvFiNYJ7L9vqr/l18vfvHyE+3GBU090TrFJYmIi6gEyrqkDDX9sqSO
 njx3iBn5vMsceSOn0+owNjbGxIIx8jwlyRKwjmAEmzg67QaNZipJarCp5ciO
 H5iyu/uBq66a+bPovRgRTTLHG/915/1rOrzgH+3AJ9fBe+4ZRaW3vb51y7Aw
 uUuEutZwyZe69y2MyJJxd2azaTTPVfKxNmkWSVJIcoOxSpIaOu2MNEvIGw0a
 jQxjLGmW47IM6zIarQ7N1hhJmpIkljxPsc5gjOBjIPpARLEisrAt66++x1+y
 ccLb5Wvy0xBIMmkuXaKN626ptx3PEQDmBR/rHI8+/60/tOPWoGkq3HLzYOqB
 HXH/kqZ9vnOodYhLBcIMJmkgLkVESRJDq5mQpBZjhSxxGGOwSUKS5+BSAhYf
 DOIyjGvishbGJljniCIYYzCJJcSItaKNhnWvPDP//EVfG3yxP1PtNQacE045
 Kd160lrz3F9xoee/qctVF9ApbfrO4EGsSN2v+dRXigc2LTJrrCN1iWCs4iy4
 1GDoE1GiQpIIrUaCCDgjeCI4S5JmBBWsTUgbbRqNNiIZWXMMFUcUi7OOsqqJ
 GkkSQ5paIioqqgs6duWW9fk79zxWfl11lLjWrEvGzzjZXQA0f+UMTLx47Lze
 LIvFoFkKV1w9OCCwr+PYbB0YUXHpCISgGBPJXMmCpStZsHAJJjFEH0jzFDGG
 GEfgwGJMQp41KKMABieWZqNBlmWINaR5gk0seeZYuKBJo+FoNpzkqdENq5Kt
 X/xa91EIx0QEXwv/6tXZq4DTngDwzddg+gNzjkAmIjLseq6+td55akeWYSS1
 VtQ6QVAQxVowAlmWkMYZnLU08g7tsRxjhDR15HlGs9FgrNMhy5vEKNQ+osbg
 jEKMRA0kzjI53mZyvEWeJSTOYO18Ukwsjcy0oyQbjx4u7hYDMcKpm9IFKyY4
 7ziPMyu2ttt1zVkxjn64c0/d7xd6bxY5WwQQFTGjRYuACoiBEDze14jvIo0l
 2HwBRiBPM5Ikoao9ZVHT65fM9YYIAjHQHQ6oq4JYVSO3SSwheCAyM9ejPygo
 65o6BEmsmBVL7LnXXju4OskUEdWqMLztzdk5wEIA0ytMKwQ5XRVElUf2h2Pt
 kiQomaCj8CSKsWCtkCeWZiMhTR1EJWhEB49gEMTlhOCRee4+2+3ifUDUkCcJ
 w+GQqhxSx5q6ruj3+wz6AwZFwbAsqesaEQgxEokYESZasvGzP/D7tPaASF0r
 p5+angSsxoHpHQorFTIUrSrVfY/7w5OWUxBQECOCNRZrLMYYah/wPuLE4FKL
 DwEflESGpK0lFN4yPT1DWQyxArGuKYuKuiowWiME6nKIDyW9uTmmjs3Q6w8J
 IZLnCcaMDBk1gioTTdMaR55TleEXMHKjpYvdBHAiHuNswqY6yBPU7t+8qb35
 y9M9u+/RGiNm5DooqjryH1XqylOUCs6RpoZhUaKA9HeStxdT1sKYCxT1yLL9
 QSDtOpq5IfiCoixQPDEEoq8RjYSgpG7EXIemQlRHC4rC5z428e5+V6rOYiCg
 irgTFrN2zxGscZmsrmslBhVnkJULQz57zDsQYlR8UOKIRVJWnjgyDGIEZy3O
 WZp5hrWGVsPRdH2WrzmZSlO6c7P0e7No7BNDn7LqU9UFMZaEusRIBBPBe4qi
 YGZuQF17YgDV489Hna+b7YafEIOqqqjHLF1qlgLOqciC4MEkoKoaFPEBCUHx
 AUJU6jpQlNBODaJC4izNRk4jdRgRfO1RD84akiTh8CN3MDNIUQwaeog4ojeo
 OISIRA9xtAPEiBgwCmikLPyI5OvIaDFEeqXDGBkFEYXgMc2GjAHOxKgmBCUG
 JUSV6+9ieraLjwGNAYKHuo7zuwDWWgSDryJlWVEUNVVVU5UV0QeG/SGzM3P4
 /iFsvpgoGTEM8fWQquhTV0NirAm+pvY1vqopqoo6BsQrMSqiIGqofUSI8sVv
 9Pfev0dmQEXj6BpVUsCY4dCW+bjDthzDYOKV24Y7S6/DqIj3o2I9BNAoGCxV
 FSiGnrm5IUXh6feGDAYVwQdUlZm5LmUxBCLVsXuJVUmIBmINeLJE0OhxBmKI
 xBCwCk4ENYJTixU7qkN9VO+VIzOhe8e9w+tmpg39nqGqHUVhBMDMzMjhtSdE
 1q2uWH9CMH/49s7S9qQZegP1yD3xteKrSFUGhkPPoKgoy0C/VzEsPGXhSZOU
 waBgMCjmFZZIqD3NtCRtTZKkDTSU+Kok1BXWgJ0vbYuiotctKIYVSerQIPQH
 ntl+kOleoNWx9vRT82drb8CYKUmzyMyxUeCxLz3RLWouTN7cTKNKVFnU0fEz
 XtBqHjqM7N/vMSmoBUUZkaoRJ7JOSJJROeGcIXGWqvZoVIL3qIJqxBrByZAQ
 HS7JsdSkiaMoSuraoxGiV8oqMBwIR6cDB6dqjs565nqR5asz3vD6fOKkFTrp
 vGo6bnlwuwvf/nH35hquc3kW75/aF2l2EmnYGlGVZe1a3v+BnJ17mvz0R30O
 HqjoV9A74klmhHZTaLWUTjsyNmZZLIYunrIuwShpYokaEIEYKnIvGNNHs/VU
 w8NMHz1KMYwUQ5jrebrdwMxchaqSJg4jyrKVCac/o8Hq5Yr0vNMBuIlE9u5P
 KWb61UDZDRSuuUC7Rb/av+u+bOWKEzPG2p7MeXQYOHllYNO7m0wda7Jvn+fg
 ocjUVGTmWGTmWGD/YzXe1xgpcY4RTzLHp2CsYMRg7ZAQlRiOUnlDVDAE0sww
 NmFpjwur1iVMjhuWLLUsWyKkBFrO4weKG3N0B5bpfQbVmqmyngb2Ad6V+6q+
 Ls3vrku/cu+DnoklqbbHrEwuVhJqrXtexjMY3yicttHig6XyUItQ1YbeQJie
 jnRnlF5XKYZKOVRCDcFHksxiLWQNJW8bJhYIjQnLsmVK3oiIU5I6kmAxw0g1
 8GQIkoKmRocxldmDQtGLZJnXhStUfvrX9X5gLxDdH10Zhp/7t/GmoPF8yYTZ
 I6U8spPhxFLHxGSaL14utDKP1gFjGdUERkcB2UWWNEEWzws08wldjUEMVAHy
 DkQ3kk2zCUWIpM2IH8LwSEQCRIRQKNowZE7QxHHkkDA7qzo15Yerl5GPjYuJ
 BukeC3rbL+PO+R0YFfXnrWEYm+73g0rqMpFqrub9X+h+ORwMce9DfuXUESHi
 cFmKWoP3hrIU1FhMahAriMxTP53XeeMIj1Fw8y7lrGDcvFRXC1W0lKWhjo4y
 JEwftjz6qHD/nbU+dF8pX/9hb5dP/aNbTspXeg9JgvzouuGhO3eE7wPXMW8b
 3n2Vv/Mzbwn3F7k8T0R1YnmSvOPZ9SnfvLP8xInwZXcTzbwh0mkJq1YnrD0p
 Y9XahGYTstzg0tHCxIzYlsbjFXfEWBAL4hhlbQ+hNBTdiK+VuTnl2BHHkcfm
 GJRKrx+1Oxvk0HTs7x6y/U9e0jmtKtREFB8C14zE318AHsBtzuH+AqZ3Fxc2
 T25eX43UW938zOy5pz3qE53jimHFBb2eMhioznZL2b2nJG9AnkOWQLtpaXUs
 jaYhb1uSTHDu+CEWgoeqiFRFoK4ivoYoUIdAXSnBdCj6Sjn0FAOVbj/Gu45y
 z3vekle5NRvneqpiVe7bXU8fntbbgHufUKfvL0B1AyK7/v4jC+vvymT6ugol
 ySQ759npn1x2Q/XGBRUTFl5DRIp5cU/mCxwEKAOlBpKh4OYEa+b1nmRU6Ovx
 olYVjUJUIQSoK6WuhKqco6wTigFaDKJsn+Khc5/vHj73zMabDu9X1Cg2j/Gn
 t5S/LD3fB/q/Iq+L7ALgwKHwXxYn/pzQsQsUYcnaZPPWvdVF2Uvfc/P07Te/
 5oFbbyNGtBgiMY54kq+hriDNIEmUJBkVP85BacI/AEXQeYYbQiR6qGulrqEq
 lbIstRogjwzYu3CN3PXvXtveeuARkiiqJkF27CqP3LEzXgvc9bTKXCpwy349
 9twlIiYz50ZRsLBkuZ5y0sozXrbx5a+rbt92baF1nSoQPOprJESIYTT9PCDv
 oa7BV0pdK1U5mmURKctRqB0lMmU4UB0OkMEAeaTPnmJMbvmL/9R55txBWeuD
 alREMl9f+Pnh9cAXgD2/UZ2ehPydL3RXpEvNVttwmmSKVFHue3Bi6lt3HPr8
 BuHUTHnDPONVAXEJJAmkKbiR8IY1o9rZmCfY8Yg2jOgwIaDeg6+QQUW9u+aB
 9aeY+z7wB+0ziimzaThQRVSSVgyf+kb/nt0H9WIjfCPq6PA+rbgLMATf02W3
 rlm05N3qj4hiBQeLFpTNTVFb1x7W/6iwoyG80EA+X+apr5F63p2eeK2gqqAq
 oSyhLKAooRii5RCphsiRmqO/DNzyulemO99xXvP8o4/ommEfrWqlMQbfvaHY
 defOeDlwuf7f5PXj4xXnn3/+uW9+1+sG+/bRnXucqCgitFcmK88akwuWiX7t
 hq5eaqCZwMp5DzSqEMI/nIsnZjkCMT+1rImDQHevck89Jjd98ILcn3VC+vuP
 7YxN79EQkc6kctOD5cPfu8F/G7gUmP6NXco3/t7v8a0rr+T97/3Pz3re2Wf/
 3YH9+zfc/L9+1tUd17Bihe9Iy6hBcFaEvhJ6evX00fDdb9/vHw9wVgfOzuAk
 B5MO8uNndz6nBQ9lBf0uHJyB7aecYLrnneWWbVhktljSdY8/WmOsKEZkfBnh
 mjvK3dtu99+xhktDZO9v1Wb9rxdeuP6sF7zg5/sf27fi8xd/dveOXbtuSGK4
 6RXLeMmqde5NZtxgjagVGWn7gdJVcUqGcdvDB+prvvEw+4F1wAnA4idJgAPg
 0GRG761bk43rV5qz68KsayR5s9+LttVOdc8v58iaRlZtlvp/fKW4d9f++HfA
 ZcDh37pP/IlPfuJ5WbNx46WXfG7PAw89tA34tG5lp/yI1tkt3rthvX1vMmkn
 RwkKjIiKICJCZpQcJTFsTxJ2YXUGR2i1bNtYXRKjnhKE5VXtqEtDu5Nqv+dp
 tBLJG5bDx2a1aunUR75Q3gxcAVwJ9H7rRvfHL/pz/vhDfyrjnfb5s93eFuA7
 wI4nX7sWXnz6KvkPCyftK5sd0/FGENCR9MIoh8O8JDIqaJ71nMXMzZRYKyxY
 mOmxqWKUwGoV6wJqax4fxOm7doVdN94drgW+Z4S7nxptfpdOvQXSUUB6uq/C
 +JKM553Y4e0nLzFbO2N2rB+FeWlSzWjpI/8PkS1nTHLg8QELF2aapEZmpytc
 XrNwKXr37nD4x7fWD0/N6G3Dku8DdwKz/2T/lXjKaAFblmec95xVcs7SCbMh
 y81EFXE+YDSqKEqaCsaptsaIjQZ1N5rpu3eEA7/YHncC9wE3APc8mR78cwF4
 Mh1ZBKwFTlg/zrqxjizNMjrGkvgo2iu0OHBEp6dLDgKPz3P5vQJH9Gkad//c
 AJ7ac7NAMv9q5j+PQJjvMvond9r/f8f/Ae6WJZG+d7nqAAAAAElFTkSuQmCC

Package: freeciv-dev
Architecture: any
Description: Freeciv development libraries
 Libraries for developing Freeciv clients.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS=-Wall -g `pkg-config libosso hildon-1 hildon-fm-2 --cflags`
LDFLAGS=`pkg-config libosso hildon-1 hildon-fm-2 --libs`

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
		   --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		   --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info \
		   --disable-sdl-mixer --without-readline --enable-client=hildon


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/freeciv.sgml > freeciv.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/freeciv.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/freeciv
	cp debian/freeciv.sh debian/freeciv/usr/bin/freeciv
	mkdir -p debian/freeciv-dev/usr
	mv debian/freeciv/usr/lib debian/freeciv-dev/usr

	# Move desktop file to hildon expected location
	mkdir -p $(CURDIR)/debian/freeciv/usr/share/applications/hildon
	mv $(CURDIR)/debian/freeciv/usr/share/applications/freeciv.desktop $(CURDIR)/debian/freeciv/usr/share/applications/hildon/
	sed -i 's#^Exec=freeciv-.*#Exec=/usr/bin/freeciv#' $(CURDIR)/debian/freeciv/usr/share/applications/hildon/freeciv.desktop
	echo 'X-Osso-Type=application/x-executable' >> $(CURDIR)/debian/freeciv/usr/share/applications/hildon/freeciv.desktop

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## freeciv 2.2.4

=== debian/changelog ===
freeciv (2.2.4-1ubuntu0.1) natty-proposed; urgency=low

  * debian/patches/disable_global_menu.patch:
    - Disable global menu to workaround bug with non-main menu bars.
      LP: #743265

 -- Michael Terry <mterry@ubuntu.com>  Tue, 19 Jul 2011 15:32:46 -0400

freeciv (2.2.4-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@gnu.org>  Thu, 16 Dec 2010 20:44:14 -0500

freeciv (2.2.3-1) unstable; urgency=low

  [ Karl Goetz ]
  * Add two patches to change window sizes

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@gnu.org>  Thu, 11 Nov 2010 19:17:02 -0500

freeciv (2.2.2-1) unstable; urgency=low

  * New upstream release
  * Update to policy 3.9.1 (No changes required)
  * Remove icons used for Debian menu entries
  * Reduce usage of courtesy libraries in packaging
  * Various packaging tweaks/cleanups
  * Fix broken symlinks for client manpages.
  * Disable 99_build_without_ggzd.diff (Closes: 587890)
  * Add a build-dep on libbz2-dev to enable bzip2 compression for
  server logs (Closes: 591617)

 -- Karl Goetz <karl@kgoetz.id.au>  Thu, 05 Aug 2010 08:44:17 +0930

=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Clint Adams <clint@gnu.org>, Karl Goetz <karl@kgoetz.id.au>
Standards-Version: 3.9.1
Homepage: http://www.freeciv.org/
Vcs-Git: git://git.debian.org/git/pkg-games/freeciv.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/freeciv.git;a=summary
Build-Depends: debhelper (>= 5.0.0),
               gettext,
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxmu-dev,
               libxt-dev,
               libgtk2.0-dev,
               libpng12-dev,
               libreadline-dev,
               libesd0-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               x11proto-core-dev,
               xaw3dg-dev,
               zlib1g-dev,
               autotools-dev,
               liblua5.1-0-dev,
               libbz2-dev,
               gnulib

# Remaining build-deps required to remove the tolua dependency. These
# Can't be added until upstream stop using a mangled copy of their own.
# libtolua-dev,
# libtolua++5.1-dev

Package: freeciv-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data (>= 2.2.0)
Suggests: freeciv-client
Replaces: freeciv-data (<< 2.1.0)
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

Package: freeciv-client-xaw3d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data (>= 2.2.0)
Recommends: freeciv-server (>= 2.2.0)
Suggests: freeciv-sound
Provides: freeciv-client
Description: Civilization turn based strategy game (Xaw3D client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Xaw3D version of the Freeciv client.

Package: freeciv-client-gtk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data (>= 2.2.0), ggzcore-bin
Recommends: freeciv-server (>= 2.2.0)
Suggests: freeciv-sound
Provides: freeciv-client, freeciv
Description: Civilization turn based strategy game (GTK+ client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK+ version of the Freeciv client.

Package: freeciv-client-sdl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data (>= 2.2.0), ttf-dejavu-core, ttf-sazanami-gothic, ttf-unfonts-core, ttf-arphic-uming
Recommends: freeciv-server (>= 2.2.0)
Suggests: freeciv-sound
Provides: freeciv-client, freeciv
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the SDL version of the Freeciv client.

Package: freeciv-data
Architecture: all
Depends: ${misc:Depends}
Replaces: freeciv-client-gtk (<< 2.1.0), freeciv-server (<< 2.1.0)
Description: Civilization turn based strategy game (game data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data files for Freeciv.

Package: freeciv-sound-standard
Architecture: all
Depends: ${misc:Depends}
Provides: freeciv-sound
Description: Civilization turn based strategy game (standard sound pack)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the standard sound pack for Freeciv. It provides Freeciv clients
 with a set of sounds for different events and actions in the game.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Cristopt Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=freeciv

INSTALL = install
INSTALL_DIR = $(INSTALL) -p -d -o root -g root  -m  755

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS  = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2 
endif

COMMON_CONFIG := --cache-file=$(CURDIR)/config.cache \
		 --sysconfdir=/etc --prefix=/usr \
		 --datadir=\$${prefix}/share/games \
		 --bindir=\$${prefix}/games --mandir=\$${prefix}/share/man \
		 --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE) \
		 --enable-debug=no

build: build-xaw3d build-gtk build-sdl build-server

build-server:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-server
	(cd build-server && ../configure $(COMMON_CONFIG) --disable-client \
		--without-ggz-client && \
	$(MAKE) CFLAGS="$(CFLAGS)")

	touch build-server-stamp

build-xaw3d:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-xaw3d
	(cd build-xaw3d && 	\
	 ../configure $(COMMON_CONFIG) --disable-server --enable-client=xaw \
	 	--with-xaw3d --without-ggz-client --without-ggz-server && \
	$(MAKE) CFLAGS="$(CFLAGS)")

	touch build-xaw3d-stamp

build-gtk:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-gtk
	(cd build-gtk && \
	../configure $(COMMON_CONFIG) --disable-server --enable-client=gtk-2.0 \
		--without-ggz-server --enable-noregistry && \
	$(MAKE) CFLAGS="$(CFLAGS)")
	
	touch build-gtk-stamp

build-sdl:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-sdl
	(cd build-sdl && \
	../configure $(COMMON_CONFIG) --disable-server --enable-client=sdl \
		--without-ggz-client --without-ggz-server && \
	$(MAKE) CFLAGS="$(CFLAGS)")
	
	touch build-sdl-stamp

clean:
	dh_testdir
	dh_testroot
	
	-rm -f install-stamp build-server-stamp build-xaw3d-stamp build-gtk-stamp build-sdl-stamp
	-rm -f config.cache config.sub config.guess
	-rm -f bootstrap/config.sub bootstrap/config.guess
	-rm -rf build-stamp build-xaw3d build-gtk build-sdl build-server 

	dh_clean

	-rm -f debian/*~ Makefile Makefile.bak core */Makefile

install: install-stamp
install-stamp: build-server-stamp build-gtk-stamp build-xaw3d-stamp build-sdl-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	(cd build-server; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
		localedir=$(DESTDIR)/usr/share/locale install)

	(cd build-gtk; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
		localedir=$(DESTDIR)/usr/share/locale install)
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/usr/share/ggz/modules/freeciv
	cp build-gtk/data/civclient.dsc debian/tmp/usr/share/ggz/modules/freeciv
	cp debian/tmp/usr/share/applications/freeciv.desktop \
           debian/tmp/usr/share/applications/freeciv-gtk.desktop

	(cd build-sdl; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
		localedir=$(DESTDIR)/usr/share/locale install)
	sed 's/Exec=freeciv-gtk2/Exec=freeciv-sdl/' \
	   debian/tmp/usr/share/applications/freeciv.desktop \
           >debian/tmp/usr/share/applications/freeciv-sdl.desktop

	(cd build-xaw3d; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
		localedir=$(DESTDIR)/usr/share/locale install)
	sed 's/Exec=freeciv-gtk2/Exec=freeciv-xaw/' \
	   debian/tmp/usr/share/applications/freeciv.desktop \
           >debian/tmp/usr/share/applications/freeciv-xaw3d.desktop
	rm debian/tmp/usr/share/applications/freeciv.desktop
	
	# Move stuff that gets lost thanks to ${datadir}
	mv debian/tmp/usr/share/games/icons debian/tmp/usr/share

	dh_install

	# Remove sounds from -data
	rm -rf debian/freeciv-data/usr/share/games/freeciv/stdsounds*

	# Remove ttf fonts from -data, now provided by dependencies.
	rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/*.ttf
	rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/COPYING.*

	touch install-stamp

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_installmenu -i
	dh_installman -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdocs -a
#	dh_installexamples -a
#	dh_installchangelogs -a ChangeLog
	# Remove doc dirs for arch-dependent packages and symlink
	# to freeciv-data's.
	for i in freeciv-server freeciv-client-gtk freeciv-client-xaw3d freeciv-client-sdl; do \
		rm -rf $(CURDIR)/debian/$i/usr/share/doc/$i; \
	done
	dh_link -a
	dh_installmenu -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## freeciv 2.2.7

=== debian/changelog ===
freeciv (2.2.7-2) unstable; urgency=low

  * Team upload.
  * repair debian/patches/use_system_lua5.1.diff for multiarch support
  * rebuild to fix missing patch of
    data/themes/gui-sdl/human/theme.themespec in 2.2.7-1
    (Closes: #636619)

 -- Jan Dittberner <jandd@debian.org>  Sun, 07 Aug 2011 15:53:45 +0200

freeciv (2.2.7-1) unstable; urgency=low

  [ Karl Goetz ]
  * New upstream version, 2.2.7 (Yes, we skipped 2.2.6)
  * Include a patch from Freeciv upstream to fix unity on Ubuntu
  (Closes: LP:#743265)

  [ Clint Adams ]
  * Add build dependency on python-minimal.

 -- Clint Adams <clint@debian.org>  Tue, 26 Jul 2011 14:40:06 +0200

freeciv (2.2.5-1) UNRELEASED; urgency=low

  * Imported Upstream version 2.2.5
  * Drop some old/superseded patches
  * Update standards to 3.9.2

 -- Karl Goetz <karl@kgoetz.id.au>  Tue, 12 Apr 2011 16:22:18 +0930

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: freeciv
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Jordi Mallach <jordi@debian.org>, Clint Adams <clint@gnu.org>, Karl Goetz <karl@kgoetz.id.au>
-Standards-Version: 3.9.1
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Jordi Mallach <jordi@debian.org>, Clint Adams <clint@debian.org>, Karl Goetz <karl@kgoetz.id.au>
+Standards-Version: 3.9.2
 Homepage: http://www.freeciv.org/
 Vcs-Git: git://git.debian.org/git/pkg-games/freeciv.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/freeciv.git;a=summary
@@ -27,7 +26,8 @@
                autotools-dev,
                liblua5.1-0-dev,
                libbz2-dev,
-               gnulib
+               gnulib,
+               python-minimal
 
 # Remaining build-deps required to remove the tolua dependency. These
 # Can't be added until upstream stop using a mangled copy of their own.

## freeciv 2.3.0

=== debian/changelog ===
freeciv (2.3.0-1) unstable; urgency=low

  [ Karl Goetz ]
  * New upstream version.
  * Fix themes_sdl_use_system_fonts.diff to apply cleanly on 2.3.0
  * Massage work_around_unity_induced_breakage.diff to get it
    applying to the new codebase (The patch assumes commits made
    after 2.3.0 was tagged upstream).

  [ Clint Adams ]
  * Fudge build system to think there is no libtool mismatch.

 -- Clint Adams <clint@debian.org>  Sun, 28 Aug 2011 22:40:00 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Homepage: http://www.freeciv.org/
 Vcs-Git: git://git.debian.org/git/pkg-games/freeciv.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/freeciv.git;a=summary
-Build-Depends: debhelper (>= 5.0.0),
+Build-Depends: debhelper (>= 7.0.50),
                gettext,
                libx11-dev,
                libxaw7-dev,

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,13 @@
 # Made with the aid of dh_make, by Craig Small
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Also some stuff taken from debmake scripts, by Cristopt Lameter.
+
+#######################################################################
+#
+# Do not update DH style or version without first asking Clint or Karl.
+# Thanks.
+#
+#######################################################################
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1

## freeciv 2.3.1

=== debian/changelog ===
freeciv (2.3.1-1) unstable; urgency=low

  * Switch to short style dh with overrides
    - Update control to 7.0.50 and compat to 7
    - Various packaging cleanups, fixes various issues with our
      packaging that appears to have been broken for some time.
  * Change our dependency away from ttf-sazanami-gothic per the
    request of its maintainer (Closes: #642944)
  * New package freeciv-client-extras with freeciv-modpack in it.

 -- Karl Goetz <karl@kgoetz.id.au>  Sat, 31 Dec 2011 11:39:58 +1100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Vcs-Git: git://git.debian.org/git/pkg-games/freeciv.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/freeciv.git;a=summary
 Build-Depends: debhelper (>= 7.0.50),
+               dh-autoreconf,
                gettext,
                libx11-dev,
                libxaw7-dev,
@@ -74,7 +75,7 @@
 
 Package: freeciv-client-sdl
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data (>= 2.2.0), ttf-dejavu-core, ttf-sazanami-gothic, ttf-unfonts-core, ttf-arphic-uming
+Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data (>= 2.2.0), ttf-dejavu-core, fonts-ipafont-gothic | fonts-japanese-gothic, ttf-unfonts-core, ttf-arphic-uming
 Recommends: freeciv-server (>= 2.2.0)
 Suggests: freeciv-sound
 Provides: freeciv-client, freeciv
@@ -84,6 +85,20 @@
  obtain the ultimate goal: the extinction of all other civilisations.
  .
  This is the SDL version of the Freeciv client.
+
+Package: freeciv-client-extras
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data
+Description: Civilization turn based strategy game (standard sound pack)
+ Freeciv is a free clone of the turn based strategy game Civilization.
+ In this game, each player becomes leader of a civilisation, fighting to
+ obtain the ultimate goal: the extinction of all other civilisations.
+ .
+ This is a collection of supporting scripts and tools which may be
+ useful to a Freeciv player. These include:
+  * freeciv-stub: Minimal freeciv client wrapper
+  * freeciv-manual: Generate an HTML manual for freeciv-server
+  * freeciv-modpack: GTK modpack, ruleset and tileset downloader
 
 Package: freeciv-data
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --with autotools_dev,autoreconf

override_dh_autoreconf:
	dh_autoreconf --exclude=bootstrap/mkinstalldirs

override_dh_auto_configure:
	./configure --cache-file=$(CURDIR)/config.cache \
		--sysconfdir=/etc --prefix=/usr \
		--datadir=\$${prefix}/share/games \
		--bindir=\$${prefix}/games \
		--enable-debug=no --enable-client=all \
		--enable-ipv6=yes

	# More options?
	# Turn on debug packages?
# 		--with-ggz-server --with-ggz-client \
	# $ ./configure --localstatedir=/var --libexecdir=${prefix}/lib/freeciv --disable-maintainer-mode --disable-dependency-tracking
	# $ ./configure --no-create --no-recursion

override_dh_install:
	# Create .desktop files
	cp debian/tmp/usr/share/applications/freeciv.desktop \
           debian/tmp/usr/share/applications/freeciv-gtk.desktop
	sed 's/Exec=freeciv-gtk2/Exec=freeciv-sdl/' \
	   debian/tmp/usr/share/applications/freeciv.desktop \
           >debian/tmp/usr/share/applications/freeciv-sdl.desktop
	sed 's/Exec=freeciv-gtk2/Exec=freeciv-xaw/' \
	   debian/tmp/usr/share/applications/freeciv.desktop \
           >debian/tmp/usr/share/applications/freeciv-xaw3d.desktop
	rm debian/tmp/usr/share/applications/freeciv.desktop
	# Create directory for ggz
	install -p -d -o root -g root -m 755 debian/tmp/usr/share/ggz/modules/freeciv/
	# Copy in ggz dsc file
	cp data/civclient.dsc debian/tmp/usr/share/ggz/modules/freeciv/
	# Move stuff that gets lost thanks to ${datadir}
	mv debian/tmp/usr/share/games/icons debian/tmp/usr/share
	# Delete stuff that is broken or unneeded.
	# Broken man pages.
	rm -f debian/tmp/usr/share/man/man6/freeciv-gtk2.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-win32.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-xaw.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-sdl.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-ftwl.6
	# Copy our man page into the source tree.
	cp debian/freeciv-manual.6 debian/tmp/usr/share/man/man6/freeciv-manual.6
	# Debian doesn't want .la files.
	rm -f debian/tmp/usr/lib/*.la
	# Should these have been installed here at all?
	rm -f debian/tmp/usr/lib/*.a
	# Continue install
	dh_install --fail-missing
	# Remove sounds from -data
	rm -rf debian/freeciv-data/usr/share/games/freeciv/stdsounds*
	# Remove ttf fonts from -data, now provided by dependencies.
	rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/*.ttf
	rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/COPYING.*

override_dh_installdocs:
	# Don't install Makefiles; these seem to be localisations in the data file.
	dh_installdocs --exclude="Makefile"

override_dh_link:
	# Remove doc dirs for arch-dependent packages and symlink
	# to freeciv-data's in dh_link
	-rm -rf debian/freeciv-server/usr/share/doc/freeciv-server
	-rm -rf debian/freeciv-client-gtk/usr/share/doc/freeciv-client-gtk
	-rm -rf debian/freeciv-client-sdl/usr/share/doc/freeciv-client-sdl
	-rm -rf debian/freeciv-client-xaw3d/usr/share/doc/freeciv-client-xaw3d
	-rm -rf debian/freeciv-client-extras/usr/share/doc/freeciv-client-extras
	# After deleting we can link correctly
	dh_link

override_dh_clean:
	dh_clean
	rm -rf .pc
	find . -name '*.o' -exec rm -f {} \;
	find . -name '.libs' -exec rm -rf {} \;
	find . -name '.dists' -exec rm -rf {} \;
